Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Automaton
Class AutomatonState

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.SimpleNode
                  SEdit.Formalisms.StateTransition.SimpleState
                      SEdit.Formalisms.Automaton.AutomatonState

    public class AutomatonState

extends SimpleState

CLASSE AutomatonState

Field Summary

Fields inherited from class SEdit.SimpleNode
`inArrows, outArrows`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`AutomatonState()`

Method Summary
`void` | `activate()`
`java.lang.String` | `getWord()` Get the value of word.
`void` | `produce(java.lang.String w)`
`void` | `setWord(java.lang.String v)` Set the value of word.

Methods inherited from class SEdit.SimpleNode
`addInArrow, addOutArrow, delete, deleteInArrow, deleteOutArrow, getInArrows, getInArrows, getOutArrows, getOutArrows, isConnectable, toString`

Methods inherited from class SEdit.SNode
`initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutomatonState

    public AutomatonState()

Method Detail

### getWord

    public java.lang.String getWord()

  Get the value of word.

  Returns:
    Value of word.

### setWord

    public void setWord(java.lang.String v)

  Set the value of word.

  Parameters:
    `v` - Value to assign to word.

### activate

    public void activate()

  Overrides:
    `activate` in class `SNode`

### produce

    public void produce(java.lang.String w)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.